View Issue Details

IDProjectCategoryView StatusLast Update
0010310ScribusUndo/Redopublic2014-10-13 15:59
ReporterJLuc Assigned ToChelen  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformPCOS7OS Version
Product Version1.4.0svn 
Target VersionFixed in Version1.5.0svn 
Summary0010310: No Undo on Style change
DescriptionChanging a character style definition cannot be undone.
Steps To ReproduceOpen document
Open Style edit window
Create character style
Use that style in document
Change style definition in the style edit window and validate (end edition)
Undo
Tagschelen, patch
Patch

Relationships

related to 0010805 closedChelen Text Undo 
child of 0005745 closed Metabug: Undo/Redo issues 

Activities

JLuc

2011-10-10 12:06

developer   ~0026998

The "style change" i mean is not "switching from one style to another", but "changing the style characteristic". From example, changing from regular to italic in the style definition.

cezaryece

2011-10-12 05:24

developer   ~0027006

@mantis admins: It should go to undo metabug

ale

2011-10-12 12:33

manager   ~0027011

done

Chelen

2012-06-22 13:14

developer   ~0028261

It seems to work on my git : gsoc12ux on branch : Text

Issue History

Date Modified Username Field Change
2011-10-09 22:55 JLuc New Issue
2011-10-10 12:06 JLuc Note Added: 0026998
2011-10-12 05:24 cezaryece Note Added: 0027006
2011-10-12 12:33 ale Relationship added child of 0005745
2011-10-12 12:33 ale Note Added: 0027011
2012-06-22 13:14 Chelen Note Added: 0028261
2012-06-22 13:15 Chelen Tag Attached: chelen
2012-06-22 13:15 Chelen Tag Attached: fixed
2012-06-22 13:15 Chelen Tag Attached: patch
2012-06-26 22:34 Chelen Relationship added related to 0010805
2012-06-26 22:43 Chelen Assigned To => Chelen
2012-06-26 22:43 Chelen Status new => resolved
2012-06-26 22:43 Chelen Fixed in Version => 1.5.0svn
2012-07-01 20:36 cbradney Status resolved => closed
2012-07-01 20:36 cbradney Resolution open => fixed
2014-10-13 15:59 Kunda Tag Detached: fixed